Uploads the public key portion of a key pair that you manage, and associates the public key with a ServiceAccount.
After you upload the public key, you can use the private key from the key pair as a service account key.
HTTP request
POST https://iam.googleapis.com/v1/{name=projects/*/serviceAccounts/*}/keys:upload
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The resource name of the service account key. Use one of the following formats:
As an alternative, you can use the
When possible, avoid using the Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "publicKeyData": string } |
| Fields | |
|---|---|
publicKeyData |
The public key to associate with the service account. Must be an RSA public key that is wrapped in an X.509 v3 certificate. Include the first line, A base64-encoded string. |
Response body
If successful, the response body contains an instance of ServiceAccountKey.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/iamhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.